# RSL_new_cappi

### Synopsis

#include "rsl.h"
Cappi *RSL_new_cappi(Sweep *sweep, float height);

###

Description

RSL_new_cappi allocates memory for a Cappi. It allocates space for it's header and space for for a Sweep structure. The Sweep allocated is a copy of sweep with all the data cleared. The height argument is copied to the height member of Cappi. No values are assigned to the rays in the sweep. That is done in the routine RSL_fill_cappi. This routine is not, normally, called unless you are developing a new cappi routine for RSL. Call RSL_cappi_at_h instead.

### Return value

Upon successful completion, a pointer to the appropriate structure is returned. Otherwise, a NULL pointer is returned and errno is set.

### See also

RSL_free_cappi, RSL_cappi_at_h, RSL_fill_cappi, RSL_get_value_from_cappi

Author: John H. Merritt